Bug 1484564 (CVE-2017-12161)

Summary: CVE-2017-12161 keycloak: reset password token disclosure
Product: [Other] Security Response Reporter: Chess Hazlett <chazlett>
Component: vulnerabilityAssignee: Red Hat Product Security <security-response-team>
Status: NEW --- QA Contact:
Severity: medium Docs Contact:
Priority: medium    
Version: unspecifiedCC: bdawidow, chazlett, dffrench, drieden, drusso, jmadigan, jshepherd, kpiwko, lgriffin, ngough, pdrozd, pwright, rrajasek, security-response-team, sfowler, sthorger, trepel
Target Milestone: ---Keywords: Security
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard: impact=moderate,public=20171214,reported=20170817,source=redhat,cvss3=4.2/CVSS:3.0/AV:N/AC:H/PR:N/UI:R/S:U/C:L/I:L/A:N,cwe=CWE-602,rhsso-7/keycloak=affected,rhmap-4/keycloak=wontfix
Fixed In Version: Doc Type: If docs needed, set a value
Doc Text:
it was found that keycloak would permit misuse of a client-side /etc/hosts entry to spoof a URL in a password reset request. An attacker could use this flaw to craft a malicious password reset request and gain a valid reset token, leading to information disclosure or further attacks.
Story Points: ---
Clone Of: Environment:
Last Closed: Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
Bug Depends On:    
Bug Blocks: 1484091, 1533321    

Description Chess Hazlett 2017-08-23 21:04:13 UTC
https://issues.jboss.org/browse/KEYCLOAK-5299

Comment 1 Jason Shepherd 2018-01-10 05:03:39 UTC
Attack relies on compromising /etc/hosts file and tricking user into clicking reset password link with invalid URL. Wontfix for RHMAP-4

Comment 2 Jason Shepherd 2018-02-15 23:31:40 UTC
*** Bug 1533319 has been marked as a duplicate of this bug. ***